	dimension u(1000,100), w(1000,100), ze(1000)

	write (*,*) 'input depth, wave period and height'
	read(*,*) d,per,H
	jm=20
	im=300
	dz=(d+H/2)/jm
	dx=1.
     

	pi=4.0*atan(1.0)

	PI=3.14
	omega=2*PI/per
	
	ALo=9.81*(PER**2)/(2*PI)
	ALNGHP=ALo


	SIGMA=2*PI/PER
	PSI=(SIGMA**2)*D/9.81
	HLHUNT=1+.6522*PSI+.4622*(PSI**2)+.0864*(PSI**4)+.0675*PSI**5
	HUNT=1.0/(PSI+1.0/HLHUNT)
	ALNGH=PER*SQRT(9.81*D)*SQRT(HUNT)

   39   AKAPA=2*PI/ALNGHP
	AKD=AKAPA*D
	CH2=COSH(2*AKD)
	s=1/ch2
	SH=SINH(AKD)
	TH=TANH(AKD)
	anl=1
	ALNGH=ALo*anl*TANH(AKD)
	DLEN=ABS(ALNGH-ALNGHP)
	IF (DLEN.GT.0.001) THEN
	ALNGHP=ALNGH
	GOTO 39
	ELSE
	END IF
	CEL=ALNGH/PER
	aL=ALNGH
	write (*,*) aL

	open (unit=9, file='velocity.dat')


	do i=1,im
	do j=1,jm
	z=H/2*cos(2*pi*i*dx/aL)
	ze(i)=z
	zz=j*dz-d
	akd=2*pi*d/aL
	ak=2*pi/aL
	fuz=cosh(ak*(d+zz))/sinh(akd)
	fwz=sinh(ak*(d+zz))/sinh(akd)
	u(i,j)=(pi*H/per)*fuz*cos(2*pi*i*dx/aL)
	w(i,j)=(pi*H/per)*fwz*sin(2*pi*i*dx/aL)

	if (zz.gt.z) then
	u(i,j)=0.
	w(i,j)=0
	else
	end if

	end do
	end do

	do i=1,im
	write (9,*)
	write (9,*)
	write (9,*) '     x/L         elevation'
	write (9,25) i*dx/aL,ze(i)
	write (9,*)
	write (9,*) '     z (m)       u (m/s)     w (m/s)' 
	do j=1,jm
	zz=dz*j-d
	write (9,25) zz,u(i,j),w(i,j)
	end do
	end do

25      format (5F12.4)
	stop
	end

